clone.Galgo {galgo} | R Documentation

## Clones itself and all its objects

### Description

Clone itself and all its objects.

Objects in S3 and this package are passed by reference and any “pointer” to it will affect the original object. You must clone an object in order to conserve the original values.

### Usage

    ## S3 method for class 'Galgo'
    clone(.O, ...)

### Value

Returns a new cloned object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`. `Object`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes = newRandomCollection(cr, 10))
      wo <- World(niches=newRandomCollection(ni,2))

      ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75, callBackFunc=plot,
                  fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
      ga
      ga2 <- clone(ga)
      evolve(ga)
      evolve(ga2)
      ga3 <- clone(ga)
      evolve(ga3) # really nothing, everything already done

[Package galgo version 1.4 Index]